/*******************************************************************************
* File Name: Pin_Address_High.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_Address_High_H) /* Pins Pin_Address_High_H */
#define CY_PINS_Pin_Address_High_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_Address_High_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Pin_Address_High__PORT == 15 && ((Pin_Address_High__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Pin_Address_High_Write(uint8 value);
void    Pin_Address_High_SetDriveMode(uint8 mode);
uint8   Pin_Address_High_ReadDataReg(void);
uint8   Pin_Address_High_Read(void);
void    Pin_Address_High_SetInterruptMode(uint16 position, uint16 mode);
uint8   Pin_Address_High_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Pin_Address_High_SetDriveMode() function.
     *  @{
     */
        #define Pin_Address_High_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Pin_Address_High_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Pin_Address_High_DM_RES_UP          PIN_DM_RES_UP
        #define Pin_Address_High_DM_RES_DWN         PIN_DM_RES_DWN
        #define Pin_Address_High_DM_OD_LO           PIN_DM_OD_LO
        #define Pin_Address_High_DM_OD_HI           PIN_DM_OD_HI
        #define Pin_Address_High_DM_STRONG          PIN_DM_STRONG
        #define Pin_Address_High_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Pin_Address_High_MASK               Pin_Address_High__MASK
#define Pin_Address_High_SHIFT              Pin_Address_High__SHIFT
#define Pin_Address_High_WIDTH              8u

/* Interrupt constants */
#if defined(Pin_Address_High__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Pin_Address_High_SetInterruptMode() function.
     *  @{
     */
        #define Pin_Address_High_INTR_NONE      (uint16)(0x0000u)
        #define Pin_Address_High_INTR_RISING    (uint16)(0x0001u)
        #define Pin_Address_High_INTR_FALLING   (uint16)(0x0002u)
        #define Pin_Address_High_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Pin_Address_High_INTR_MASK      (0x01u) 
#endif /* (Pin_Address_High__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_Address_High_PS                     (* (reg8 *) Pin_Address_High__PS)
/* Data Register */
#define Pin_Address_High_DR                     (* (reg8 *) Pin_Address_High__DR)
/* Port Number */
#define Pin_Address_High_PRT_NUM                (* (reg8 *) Pin_Address_High__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_Address_High_AG                     (* (reg8 *) Pin_Address_High__AG)                       
/* Analog MUX bux enable */
#define Pin_Address_High_AMUX                   (* (reg8 *) Pin_Address_High__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_Address_High_BIE                    (* (reg8 *) Pin_Address_High__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_Address_High_BIT_MASK               (* (reg8 *) Pin_Address_High__BIT_MASK)
/* Bypass Enable */
#define Pin_Address_High_BYP                    (* (reg8 *) Pin_Address_High__BYP)
/* Port wide control signals */                                                   
#define Pin_Address_High_CTL                    (* (reg8 *) Pin_Address_High__CTL)
/* Drive Modes */
#define Pin_Address_High_DM0                    (* (reg8 *) Pin_Address_High__DM0) 
#define Pin_Address_High_DM1                    (* (reg8 *) Pin_Address_High__DM1)
#define Pin_Address_High_DM2                    (* (reg8 *) Pin_Address_High__DM2) 
/* Input Buffer Disable Override */
#define Pin_Address_High_INP_DIS                (* (reg8 *) Pin_Address_High__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_Address_High_LCD_COM_SEG            (* (reg8 *) Pin_Address_High__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_Address_High_LCD_EN                 (* (reg8 *) Pin_Address_High__LCD_EN)
/* Slew Rate Control */
#define Pin_Address_High_SLW                    (* (reg8 *) Pin_Address_High__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_Address_High_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_Address_High__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_Address_High_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_Address_High__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_Address_High_PRTDSI__OE_SEL0        (* (reg8 *) Pin_Address_High__PRTDSI__OE_SEL0) 
#define Pin_Address_High_PRTDSI__OE_SEL1        (* (reg8 *) Pin_Address_High__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_Address_High_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_Address_High__PRTDSI__OUT_SEL0) 
#define Pin_Address_High_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_Address_High__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_Address_High_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_Address_High__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Pin_Address_High__SIO_CFG)
    #define Pin_Address_High_SIO_HYST_EN        (* (reg8 *) Pin_Address_High__SIO_HYST_EN)
    #define Pin_Address_High_SIO_REG_HIFREQ     (* (reg8 *) Pin_Address_High__SIO_REG_HIFREQ)
    #define Pin_Address_High_SIO_CFG            (* (reg8 *) Pin_Address_High__SIO_CFG)
    #define Pin_Address_High_SIO_DIFF           (* (reg8 *) Pin_Address_High__SIO_DIFF)
#endif /* (Pin_Address_High__SIO_CFG) */

/* Interrupt Registers */
#if defined(Pin_Address_High__INTSTAT)
    #define Pin_Address_High_INTSTAT            (* (reg8 *) Pin_Address_High__INTSTAT)
    #define Pin_Address_High_SNAP               (* (reg8 *) Pin_Address_High__SNAP)
    
	#define Pin_Address_High_0_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__0__INTTYPE)
	#define Pin_Address_High_1_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__1__INTTYPE)
	#define Pin_Address_High_2_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__2__INTTYPE)
	#define Pin_Address_High_3_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__3__INTTYPE)
	#define Pin_Address_High_4_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__4__INTTYPE)
	#define Pin_Address_High_5_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__5__INTTYPE)
	#define Pin_Address_High_6_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__6__INTTYPE)
	#define Pin_Address_High_7_INTTYPE_REG 		(* (reg8 *) Pin_Address_High__7__INTTYPE)
#endif /* (Pin_Address_High__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Pin_Address_High_H */


/* [] END OF FILE */
